Package com.google.android.exoplayer2

## Class DefaultControlDispatcher

- java.lang.Object
- - com.google.android.exoplayer2.DefaultControlDispatcher

- All Implemented Interfaces:
    `ControlDispatcher`

      @Deprecated
      public class DefaultControlDispatcher
      extends Object
      implements ControlDispatcher

  Deprecated.
  Use a `ForwardingPlayer` or configure the player to customize operations.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DefaultControlDispatcher()` | Deprecated. Creates an instance.
    `DefaultControlDispatcher​(long fastForwardIncrementMs, long rewindIncrementMs)` | Deprecated. Creates an instance with the given increments.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `dispatchFastForward​(Player player)` | Deprecated. Dispatches a fast forward operation.
    `boolean` | `dispatchNext​(Player player)` | Deprecated. Dispatches a `Player.seekToNextWindow()` operation.
    `boolean` | `dispatchPrepare​(Player player)` | Deprecated. Dispatches a `Player.prepare()` operation.
    `boolean` | `dispatchPrevious​(Player player)` | Deprecated. Dispatches a `Player.seekToPreviousWindow()` operation.
    `boolean` | `dispatchRewind​(Player player)` | Deprecated. Dispatches a rewind operation.
    `boolean` | `dispatchSeekTo​(Player player, int windowIndex, long positionMs)` | Deprecated. Dispatches a `Player.seekTo(int, long)` operation.
    `boolean` | `dispatchSetPlaybackParameters​(Player player, PlaybackParameters playbackParameters)` | Deprecated. Dispatches a `Player.setPlaybackParameters(PlaybackParameters)` operation.
    `boolean` | `dispatchSetPlayWhenReady​(Player player, boolean playWhenReady)` | Deprecated. Dispatches a `Player.setPlayWhenReady(boolean)` operation.
    `boolean` | `dispatchSetRepeatMode​(Player player, int repeatMode)` | Deprecated. Dispatches a `Player.setRepeatMode(int)` operation.
    `boolean` | `dispatchSetShuffleModeEnabled​(Player player, boolean shuffleModeEnabled)` | Deprecated. Dispatches a `Player.setShuffleModeEnabled(boolean)` operation.
    `boolean` | `dispatchStop​(Player player, boolean reset)` | Deprecated. Dispatches a `Player.stop()` operation.
    `long` | `getFastForwardIncrementMs​(Player player)` | Deprecated. Returns the fast forward increment in milliseconds.
    `long` | `getRewindIncrementMs​(Player player)` | Deprecated. Returns the rewind increment in milliseconds.
    `boolean` | `isFastForwardEnabled()` | Deprecated. Returns `true` if fast forward is enabled, `false` otherwise.
    `boolean` | `isRewindEnabled()` | Deprecated. Returns `true` if rewind is enabled, `false` otherwise.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultControlDispatcher

          public DefaultControlDispatcher()

      Deprecated.
      Creates an instance.

    - #### DefaultControlDispatcher

          public DefaultControlDispatcher​(long fastForwardIncrementMs,
                                          long rewindIncrementMs)

      Deprecated.
      Creates an instance with the given increments.
      Parameters:
        `fastForwardIncrementMs` - The fast forward increment in milliseconds. A non-positive value disables the fast forward operation.
        `rewindIncrementMs` - The rewind increment in milliseconds. A non-positive value disables the rewind operation.

  - ### Method Detail

    - #### dispatchPrepare

          public boolean dispatchPrepare​(Player player)

      Deprecated.
      Description copied from interface: `ControlDispatcher`
      Dispatches a `Player.prepare()` operation.
      Specified by:
        `dispatchPrepare` in interface `ControlDispatcher`
      Parameters:
        `player` - The `Player` to which the operation should be dispatched.
      Returns:
        True if the operation was dispatched. False if suppressed.

    - #### dispatchSetPlayWhenReady

          public boolean dispatchSetPlayWhenReady​(Player player,
                                                  boolean playWhenReady)

      Deprecated.
      Description copied from interface: `ControlDispatcher`
      Dispatches a `Player.setPlayWhenReady(boolean)` operation.
      Specified by:
        `dispatchSetPlayWhenReady` in interface `ControlDispatcher`
      Parameters:
        `player` - The `Player` to which the operation should be dispatched.
        `playWhenReady` - Whether playback should proceed when ready.
      Returns:
        True if the operation was dispatched. False if suppressed.

    - #### dispatchSeekTo

          public boolean dispatchSeekTo​(Player player,
                                        int windowIndex,
                                        long positionMs)

      Deprecated.
      Description copied from interface: `ControlDispatcher`
      Dispatches a `Player.seekTo(int, long)` operation.
      Specified by:
        `dispatchSeekTo` in interface `ControlDispatcher`
      Parameters:
        `player` - The `Player` to which the operation should be dispatched.
        `windowIndex` - The index of the window.
        `positionMs` - The seek position in the specified window, or `C.TIME_UNSET` to seek to the window's default position.
      Returns:
        True if the operation was dispatched. False if suppressed.

    - #### dispatchPrevious

          public boolean dispatchPrevious​(Player player)

      Deprecated.
      Description copied from interface: `ControlDispatcher`
      Dispatches a `Player.seekToPreviousWindow()` operation.
      Specified by:
        `dispatchPrevious` in interface `ControlDispatcher`
      Parameters:
        `player` - The `Player` to which the operation should be dispatched.
      Returns:
        True if the operation was dispatched. False if suppressed.

    - #### dispatchNext

          public boolean dispatchNext​(Player player)

      Deprecated.
      Description copied from interface: `ControlDispatcher`
      Dispatches a `Player.seekToNextWindow()` operation.
      Specified by:
        `dispatchNext` in interface `ControlDispatcher`
      Parameters:
        `player` - The `Player` to which the operation should be dispatched.
      Returns:
        True if the operation was dispatched. False if suppressed.

    - #### dispatchRewind

          public boolean dispatchRewind​(Player player)

      Deprecated.
      Description copied from interface: `ControlDispatcher`
      Dispatches a rewind operation.
      Specified by:
        `dispatchRewind` in interface `ControlDispatcher`
      Parameters:
        `player` - The `Player` to which the operation should be dispatched.
      Returns:
        True if the operation was dispatched. False if suppressed.

    - #### dispatchFastForward

          public boolean dispatchFastForward​(Player player)

      Deprecated.
      Description copied from interface: `ControlDispatcher`
      Dispatches a fast forward operation.
      Specified by:
        `dispatchFastForward` in interface `ControlDispatcher`
      Parameters:
        `player` - The `Player` to which the operation should be dispatched.
      Returns:
        True if the operation was dispatched. False if suppressed.

    - #### dispatchSetRepeatMode

          public boolean dispatchSetRepeatMode​(Player player,
                                               @RepeatMode
                                               int repeatMode)

      Deprecated.
      Description copied from interface: `ControlDispatcher`
      Dispatches a `Player.setRepeatMode(int)` operation.
      Specified by:
        `dispatchSetRepeatMode` in interface `ControlDispatcher`
      Parameters:
        `player` - The `Player` to which the operation should be dispatched.
        `repeatMode` - The repeat mode.
      Returns:
        True if the operation was dispatched. False if suppressed.

    - #### dispatchSetShuffleModeEnabled

          public boolean dispatchSetShuffleModeEnabled​(Player player,
                                                       boolean shuffleModeEnabled)

      Deprecated.
      Description copied from interface: `ControlDispatcher`
      Dispatches a `Player.setShuffleModeEnabled(boolean)` operation.
      Specified by:
        `dispatchSetShuffleModeEnabled` in interface `ControlDispatcher`
      Parameters:
        `player` - The `Player` to which the operation should be dispatched.
        `shuffleModeEnabled` - Whether shuffling is enabled.
      Returns:
        True if the operation was dispatched. False if suppressed.

    - #### dispatchStop

          public boolean dispatchStop​(Player player,
                                      boolean reset)

      Deprecated.
      Description copied from interface: `ControlDispatcher`
      Dispatches a `Player.stop()` operation.
      Specified by:
        `dispatchStop` in interface `ControlDispatcher`
      Parameters:
        `player` - The `Player` to which the operation should be dispatched.
        `reset` - Whether the player should be reset.
      Returns:
        True if the operation was dispatched. False if suppressed.

    - #### dispatchSetPlaybackParameters

          public boolean dispatchSetPlaybackParameters​(Player player,
                                                       PlaybackParameters playbackParameters)

      Deprecated.
      Description copied from interface: `ControlDispatcher`
      Dispatches a `Player.setPlaybackParameters(PlaybackParameters)` operation.
      Specified by:
        `dispatchSetPlaybackParameters` in interface `ControlDispatcher`
      Parameters:
        `player` - The `Player` to which the operation should be dispatched.
        `playbackParameters` - The playback parameters.
      Returns:
        True if the operation was dispatched. False if suppressed.

    - #### isRewindEnabled

          public boolean isRewindEnabled()

      Deprecated.
      Description copied from interface: `ControlDispatcher`
      Returns `true` if rewind is enabled, `false` otherwise.
      Specified by:
        `isRewindEnabled` in interface `ControlDispatcher`

    - #### isFastForwardEnabled

          public boolean isFastForwardEnabled()

      Deprecated.
      Description copied from interface: `ControlDispatcher`
      Returns `true` if fast forward is enabled, `false` otherwise.
      Specified by:
        `isFastForwardEnabled` in interface `ControlDispatcher`

    - #### getRewindIncrementMs

          public long getRewindIncrementMs​(Player player)

      Deprecated.
      Returns the rewind increment in milliseconds.

    - #### getFastForwardIncrementMs

          public long getFastForwardIncrementMs​(Player player)

      Deprecated.
      Returns the fast forward increment in milliseconds.